Package com.arms.egovframework.javaservice.treeframework.excel

## Class CellTemplate

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.excel.CellTemplate

- All Implemented Interfaces:
    `java.lang.Comparable<CellTemplate>`

      public class CellTemplate
      extends java.lang.Object
      implements java.lang.Comparable<CellTemplate>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CellTemplate()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(CellTemplate obj)` |
    `void` | `createCell​(org.apache.poi.ss.usermodel.Row row, java.lang.Object obj)` |
    `void` | `createHeaderCell​(org.apache.poi.ss.usermodel.Row row)` |
    `void` | `createTitleCell​(org.apache.poi.ss.usermodel.Row row, java.lang.String titleName)` |
    `int` | `getAnnotation_columnIndex()` |
    `java.lang.String` | `getAnnotation_formatting()` |
    `java.lang.String` | `getAnnotation_headerName()` |
    `static CellTemplate` | `getInstance​(java.lang.reflect.Field field)` |
    `void` | `invokeObjectProperty​(org.apache.poi.ss.usermodel.Cell cell, java.lang.Object obj)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CellTemplate

          public CellTemplate()

  - ### Method Detail

    - #### getInstance

          public static CellTemplate getInstance​(java.lang.reflect.Field field)

    - #### createCell

          public void createCell​(org.apache.poi.ss.usermodel.Row row,
                                 java.lang.Object obj)
                          throws java.lang.IllegalArgumentException,
                                 java.lang.IllegalAccessException,
                                 java.lang.ClassNotFoundException

      Throws:
        `java.lang.IllegalArgumentException`
        `java.lang.IllegalAccessException`
        `java.lang.ClassNotFoundException`

    - #### createHeaderCell

          public void createHeaderCell​(org.apache.poi.ss.usermodel.Row row)

    - #### createTitleCell

          public void createTitleCell​(org.apache.poi.ss.usermodel.Row row,
                                      java.lang.String titleName)

    - #### invokeObjectProperty

          public void invokeObjectProperty​(org.apache.poi.ss.usermodel.Cell cell,
                                           java.lang.Object obj)
                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### compareTo

          public int compareTo​(CellTemplate obj)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<CellTemplate>`

    - #### getAnnotation_headerName

          public java.lang.String getAnnotation_headerName()

    - #### getAnnotation_columnIndex

          public int getAnnotation_columnIndex()

    - #### getAnnotation_formatting

          public java.lang.String getAnnotation_formatting()